Create a status automation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/status-automations

Create a status automation. Send the fields of the new row in JSON. Give the trigger in in_conditions, or in the deprecated in_task_type_id and in_task_status_id pair. You must be an administrator.

application/json
Body object Required
Any of:

Responses

  • 201 application/json

    The new status automation

    Hide response attributes Show response attributes object
    • id string(uuid)
    • entity_type string
    • in_conditions object | null
    • in_task_type_id string(uuid) | null Deprecated

      Set for a trigger of one condition with one status only

    • in_task_status_id string(uuid) | null Deprecated

      Set for a trigger of one condition with one status only

    • out_field_type string
    • out_task_type_id string(uuid)
    • out_task_status_id string(uuid) | null
    • out_only_if_task_status_ids array[string(uuid)] | null
    • import_last_revision boolean
    • archived boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, a field breaks a database constraint, or the automation is not valid, for example "A trigger needs at least one condition.", "Trigger operator must be 'and' or 'or'.", "Task type Layout is not a task type of assets." or "Task type Layout appears in two conditions: merge their statuses into one."

  • 403

    You are not an administrator

POST /data/status-automations
curl -X POST "http://api.example.com/data/status-automations/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "source_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "target_task_status_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "field_name": "ready_for",
  "field_value": "production"
}'
import requests

url = "http://api.example.com/data/status-automations/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "source_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "target_task_status_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "field_name": "ready_for",
    "field_value": "production"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "entity_type": "asset",
  "in_conditions": {
    "operator": "and",
    "conditions": [
      {
        "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250"
        ]
      },
      {
        "task_type_id": "d24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250",
          "e24a6ea4-ce75-4665-a070-57453082c250"
        ]
      }
    ]
  },
  "in_task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "in_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_field_type": "status",
  "out_task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_only_if_task_status_ids": [
    "string"
  ],
  "import_last_revision": true
}
{
  "entity_type": "asset",
  "in_conditions": {
    "operator": "and",
    "conditions": [
      {
        "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250"
        ]
      },
      {
        "task_type_id": "d24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250",
          "e24a6ea4-ce75-4665-a070-57453082c250"
        ]
      }
    ]
  },
  "in_task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "in_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_field_type": "status",
  "out_task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_task_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "out_only_if_task_status_ids": [
    "string"
  ],
  "import_last_revision": true
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "entity_type": "asset",
  "in_conditions": {
    "operator": "and",
    "conditions": [
      {
        "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250"
        ]
      },
      {
        "task_type_id": "d24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250",
          "e24a6ea4-ce75-4665-a070-57453082c250"
        ]
      }
    ]
  },
  "in_task_type_id": "string",
  "in_task_status_id": "string",
  "out_field_type": "status",
  "out_task_type_id": "f24a6ea4-ce75-4665-a070-57453082c250",
  "out_task_status_id": "a34a6ea4-ce75-4665-a070-57453082c250",
  "out_only_if_task_status_ids": [
    "string"
  ],
  "import_last_revision": false,
  "archived": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}